Subject: Re: [PATCH] ppc: Add support for AMCC Taishan 440GX eval board

From: David Gibson <[email-masked]>
Date: Wed, 14 Feb 2007 11:11:06 +1100

On Mon, Feb 12, 2007 at 11:28:17PM -0600, Kumar Gala wrote:
> 
> On Feb 12, 2007, at 6:46 PM, David Gibson wrote:
> 
> > On Mon, Feb 12, 2007 at 02:41:36PM -0600, Kumar Gala wrote:
> >>
> >> On Feb 12, 2007, at 2:23 PM, Benjamin Herrenschmidt wrote:
> >>
> >>> On Mon, 2007-02-12 at 14:16 -0600, Jon Loeliger wrote:
> >>>> So, like, the other day Benjamin Herrenschmidt mumbled:
> >>>>>
> >>>>> Note that there are still things that we might want to change. For
> >>>>> example, I think we really should look into adding a macro  
> >>>>> mecanism
> >>>>> and/or an include mecanism to dtc so that we can do things like
> >>>>> #include
> >>>>> <ibm440gp.dtc> to get the base processor/SoC definition and then
> >>>>> "overlay" some properties on top of it (like emac phy mode etc...)
> >>>>
> >>>> What do people prefer here?  Straight CPP pre-run?
> >>>
> >>> CPP pre-run has issue, notably due to the usage of "#" in property
> >>> names.
> >>
> >> You can get around that by invoking cpp with the right flags,  I
> >> looked at doing this a while back and had it working.
> >
> > Umm.. which flags?
> 
> cpp -undef -P -x assembler-with-cpp

What exactly does the -x assembler-with-cpp do?  I can't seem to find
a useful description in the man page or info.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson